#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2018-03-14
#
# Check Point SecureXL staus metrics plugin
# checkpoint_securexl
#
from cmk.gui.i18n import _

from cmk.gui.plugins.metrics.utils import (
    metric_info,
    graph_info,
    perfometer_info,
)

metric_info['checkpoint_securexl_active'] = {
    'title': _('Connections active'),
    'unit': 'count',
    'color': '26/a',
}
metric_info['checkpoint_securexl_added'] = {
    'title': _('Connections added'),
    'unit': '1/s',
    'color': '21/a',
}
metric_info['checkpoint_securexl_deleted'] = {
    'title': _('Connections deleted'),
    'unit': '1/s',
    'color': '31/a',
}

graph_info['checkpoint_securexl_connections_active'] = {
    'title': _('Check Point SecureXL Connections active'),
    'metrics': [
        ('checkpoint_securexl_active', 'area'),

    ],
}

graph_info['checkpoint_securexl_connections_rate'] = {
    'title': _('Check Point SecureXL Connections added/deleted'),
    'metrics': [
        ('checkpoint_securexl_deleted', '-area'),
        ('checkpoint_securexl_added', 'area'),
    ],
}

perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'checkpoint_securexl_active',
    'half_value': 2000.0,
    'exponent': 2,
}, )
